<style>
{% call sass() %}
.page-about {
    position: relative;
    padding-top: 41px;
    padding-left: 72px;
    padding-right: 32px;
    height: calc(100% - 41px);

    .cities {
        position: absolute;
        top: 50px;
        right: 70px;
        width: 220px;
        {# height: 100%; #}

        .cities__item {
            width: 100%;
            text-align: right;
            line-height: 1.1;
            margin-bottom: 25px;

            .cities__item__img {
                width: 100%;
            }

            .cities__item__name {
                text-transform: uppercase;
                font-weight: 900;
                font-size: 18px;
                margin-top: 15px;
                padding-right: 30px;
            }

            .cities__item__years {
                opacity: .91;
                font-size: 18px;
                padding-right: 30px;
            }
        }
    }

    .about-text {
        width: 800px;
        font-size: 24px;
        margin-top: 40px;
        margin-bottom: 60px;
    }

    .langs {
        .langs__row {
            margin-top: 30px;

            .langs__row__item-inactive {
                opacity: .5;
            }

            .langs__row__item {
                display: inline-block;
                width: 270px;
                line-height: 1.1;

                .langs__row__item__abbr {
                    color: #007799;
                    font-size: 40px;
                    text-transform: uppercase;
                    margin-right: 15px;
                    display: inline-block;
                    width: 50px;
                }

                .langs__row__item__name_level {
                    display: inline-block;
                }

                .langs__row__item__name {
                    color: #000; 
                    font-size: 19px;
                    font-weight: bold;
                    text-transform: uppercase;
                }

                .langs__row__item__level {
                    color: #000;
                    font-size: 24px;
                    text-transform: capitalize;
                }
            }
        }
    }
}
{% endcall %}
</style>

<div class="page-about"> 
    <h1>{{ 
        translatable({
            'en': 'ABOUT ME', 
            'ru': 'ОБО МНЕ',
            'es': 'SOBRE MÍ',
            'zh': '关于我',
            'de': 'ÜBER MICH',
            'fr': 'A PROPOS DE MOI'
        }, lang) }}
    </h1> 

    <div class="about-text">{{ about_text }}</div>

    <div class="langs">
        <h2 class="langs__header">
            {{ translatable({
                'en': 'LANGUAGES', 
                'ru': 'ЯЗЫКИ', 
                'es': 'IDIOMAS',
                'zh': '我的语言',
                'de': 'SPRACHEN',
                'fr': 'LANGUES'
            }, lang) }}
        </h2>

        {% for row in langs|batch(3, '-') -%}
            <div class="langs__row">
                {% for lang in row %}  
                    <div class="langs__row__item langs__row__item-{{ 'active' if lang.active else 'inactive' }}">
                        <div class="langs__row__item__abbr">{{ lang.abbr }}</div> 
                        <div class="langs__row__item__name_level">
                            <div class="langs__row__item__name">{{ lang.name }}</div>
                            <div class="langs__row__item__level">{{ lang.level }}</div>
                        </div>
                    </div> 
                {% endfor %} 
            </div>
        {% endfor %}
    </div>

    <div class="cities">
        {% for city in cities %}
        <div class="cities__item">
            <img class="cities__item__img" src="{{ static_png(city.img) }}" />
            <div class="cities__item__name">{{ city.name }}</div>
            <div class="cities__item__years">
                {% if not city.year_from %}
                    {{ 
                        translatable({
                            'en': 'until', 
                            'ru': 'до',
                            'es': 'hasta',
                            'zh': '直到',
                            'de': 'bis',
                            'fr': 'jusqu\'en'
                        }, lang)
                    }}{{ city.year_to }}
                {% else %}
                    {% if not city.year_to %}
                    {{ 
                        translatable({
                            'en': 'from', 
                            'ru': 'с',
                            'es': 'partir de',
                            'zh': '从',
                            'de': 'ab',
                            'fr': 'de'
                        }, lang) 
                    }}
                    {% else %}
                    {{ city.year_from }} - {{ city.year_to }}
                    {% endif %}
                {% endif %}
            </div>
        </div>
        {% endfor %}
    </div>
</div>